# Applications Applications ## Gets all of the applications in the system. - [GET /applications/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/listapplications.md): This method will scan all applications and and return them to the caller. ## Creates a new application record that does not already exist. - [POST /applications/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/createapplication.md): This method will auto-generate an ID and create a new application. If an ID is specified for the application, an error will be thrown. ## Activates a certification - [POST /applications/{tenantId}/activate/{applicationId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/activatecertificationfromapplication.md) ## Execute Batch Operations - [POST /applications/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /applications/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/listapplicationsbycontactid.md): Returns a list of records with the specified contact_id ## Test credit requirement formula - [POST /applications/{tenantId}/creditRequirementFormulaTest/{applicationId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/testcreditrequirementformula.md): Use this to test the formula for certification credit requirements ## Applies credits to an application - [POST /applications/{tenantId}/credits/apply/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/applycreditstoapplication.md) ## Unapplies credits to an application - [POST /applications/{tenantId}/credits/unapply/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/unapplycreditstoapplication.md) ## Generates an generation for a contact or organization - [POST /applications/{tenantId}/generateApplication/{processId}/{ownerType}/{ownerId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/generateapplication.md) ## Generates an order from a certification application - [POST /applications/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/generateorder.md): This method will examine a certification application and generate an appropriate order ## Returns a list of records with the specified organization_id - [GET /applications/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/listapplicationsbyorganizationid.md): Returns a list of records with the specified organization_id ## Sends out a preview of the CRC notification email - [POST /applications/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/previewemail.md): Sends out a preview of the CRC notification email ## Returns a list of records with the specified program_applicant_id - [GET /applications/{tenantId}/programApplicant/{programId}/{ownerType}/{ownerId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/listapplicationsbyprogramapplicantid.md): Returns a list of records with the specified program_applicant_id ## Searches for applications using predefined parameters - [POST /applications/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/searchforapplications.md): Searches for applications using predefined parameters ## Sends an application notice - [POST /applications/{tenantId}/sendNotice/{notice_id}/{application_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/sendapplicationnotice.md): This method will examine a certification application and generate an appropriate order ## Returns a application from the system by its ID. - [DELETE /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/deleteapplication.md): This method will delete a application with the specified ID. ## Returns a application from the system by its ID. - [GET /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/getapplication.md): This method will look up a application by the specified ID and return it back. ## Partially updates a application with the specified ID. - [PATCH /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/patchapplication.md): This method will patch an existing application with the specified ID, using the HTTP PATCH specification. ## Updates a application with the specified ID. - [PUT /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/updateapplication.md): This method will update an existing application with the specified ID.